-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 18.1.0 Build 625 09/12/2018 SJ Lite Edition"

-- DATE "10/27/2019 17:58:37"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	part1 IS
    PORT (
	KEY : IN std_logic_vector(0 DOWNTO 0);
	SW : IN std_logic_vector(1 DOWNTO 0);
	LEDR : OUT std_logic_vector(9 DOWNTO 0)
	);
END part1;

-- Design Ports Information
-- LEDR[0]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[1]	=>  Location: PIN_W16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[2]	=>  Location: PIN_V17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[3]	=>  Location: PIN_V18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[4]	=>  Location: PIN_W17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[5]	=>  Location: PIN_W19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[6]	=>  Location: PIN_Y19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[7]	=>  Location: PIN_W20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[8]	=>  Location: PIN_W21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[9]	=>  Location: PIN_Y21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_AB12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- KEY[0]	=>  Location: PIN_AA14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[1]	=>  Location: PIN_AC12,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF part1 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_KEY : std_logic_vector(0 DOWNTO 0);
SIGNAL ww_SW : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_LEDR : std_logic_vector(9 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \KEY[0]~input_o\ : std_logic;
SIGNAL \KEY[0]~inputCLKENA0_outclk\ : std_logic;
SIGNAL \SW[0]~input_o\ : std_logic;
SIGNAL \FF0|Q~q\ : std_logic;
SIGNAL \SW[1]~input_o\ : std_logic;
SIGNAL \FF2|Q~0_combout\ : std_logic;
SIGNAL \FF2|Q~q\ : std_logic;
SIGNAL \FF5|Q~1_combout\ : std_logic;
SIGNAL \FF3|Q~0_combout\ : std_logic;
SIGNAL \FF3|Q~q\ : std_logic;
SIGNAL \FF4|Q~0_combout\ : std_logic;
SIGNAL \FF4|Q~q\ : std_logic;
SIGNAL \FF5|Q~0_combout\ : std_logic;
SIGNAL \FF5|Q~q\ : std_logic;
SIGNAL \FF6|Q~0_combout\ : std_logic;
SIGNAL \FF6|Q~q\ : std_logic;
SIGNAL \FF1|Q~1_combout\ : std_logic;
SIGNAL \FF7|Q~0_combout\ : std_logic;
SIGNAL \FF7|Q~q\ : std_logic;
SIGNAL \FF8|Q~0_combout\ : std_logic;
SIGNAL \FF8|Q~q\ : std_logic;
SIGNAL \FF1|Q~0_combout\ : std_logic;
SIGNAL \FF1|Q~q\ : std_logic;
SIGNAL \z~0_combout\ : std_logic;
SIGNAL \ALT_INV_SW[1]~input_o\ : std_logic;
SIGNAL \ALT_INV_SW[0]~input_o\ : std_logic;
SIGNAL \FF5|ALT_INV_Q~1_combout\ : std_logic;
SIGNAL \FF1|ALT_INV_Q~1_combout\ : std_logic;
SIGNAL \FF8|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF7|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF6|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF5|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF4|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF3|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF2|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF1|ALT_INV_Q~q\ : std_logic;
SIGNAL \FF0|ALT_INV_Q~q\ : std_logic;

BEGIN

ww_KEY <= KEY;
ww_SW <= SW;
LEDR <= ww_LEDR;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_SW[1]~input_o\ <= NOT \SW[1]~input_o\;
\ALT_INV_SW[0]~input_o\ <= NOT \SW[0]~input_o\;
\FF5|ALT_INV_Q~1_combout\ <= NOT \FF5|Q~1_combout\;
\FF1|ALT_INV_Q~1_combout\ <= NOT \FF1|Q~1_combout\;
\FF8|ALT_INV_Q~q\ <= NOT \FF8|Q~q\;
\FF7|ALT_INV_Q~q\ <= NOT \FF7|Q~q\;
\FF6|ALT_INV_Q~q\ <= NOT \FF6|Q~q\;
\FF5|ALT_INV_Q~q\ <= NOT \FF5|Q~q\;
\FF4|ALT_INV_Q~q\ <= NOT \FF4|Q~q\;
\FF3|ALT_INV_Q~q\ <= NOT \FF3|Q~q\;
\FF2|ALT_INV_Q~q\ <= NOT \FF2|Q~q\;
\FF1|ALT_INV_Q~q\ <= NOT \FF1|Q~q\;
\FF0|ALT_INV_Q~q\ <= NOT \FF0|Q~q\;

-- Location: IOOBUF_X52_Y0_N2
\LEDR[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF0|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(0));

-- Location: IOOBUF_X52_Y0_N19
\LEDR[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF1|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(1));

-- Location: IOOBUF_X60_Y0_N2
\LEDR[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF2|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(2));

-- Location: IOOBUF_X80_Y0_N2
\LEDR[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF3|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(3));

-- Location: IOOBUF_X60_Y0_N19
\LEDR[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF4|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(4));

-- Location: IOOBUF_X80_Y0_N19
\LEDR[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF5|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(5));

-- Location: IOOBUF_X84_Y0_N2
\LEDR[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF6|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(6));

-- Location: IOOBUF_X89_Y6_N5
\LEDR[7]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF7|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(7));

-- Location: IOOBUF_X89_Y8_N5
\LEDR[8]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \FF8|Q~q\,
	devoe => ww_devoe,
	o => ww_LEDR(8));

-- Location: IOOBUF_X89_Y6_N22
\LEDR[9]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \z~0_combout\,
	devoe => ww_devoe,
	o => ww_LEDR(9));

-- Location: IOIBUF_X36_Y0_N1
\KEY[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_KEY(0),
	o => \KEY[0]~input_o\);

-- Location: CLKCTRL_G7
\KEY[0]~inputCLKENA0\ : cyclonev_clkena
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	disable_mode => "low",
	ena_register_mode => "always enabled",
	ena_register_power_up => "high",
	test_syn => "high")
-- pragma translate_on
PORT MAP (
	inclk => \KEY[0]~input_o\,
	outclk => \KEY[0]~inputCLKENA0_outclk\);

-- Location: IOIBUF_X12_Y0_N18
\SW[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(0),
	o => \SW[0]~input_o\);

-- Location: FF_X72_Y2_N47
\FF0|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	asdata => \SW[0]~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF0|Q~q\);

-- Location: IOIBUF_X16_Y0_N1
\SW[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(1),
	o => \SW[1]~input_o\);

-- Location: MLABCELL_X72_Y2_N21
\FF2|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF2|Q~0_combout\ = ( \FF1|Q~q\ & ( (!\SW[1]~input_o\ & \SW[0]~input_o\) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000001010000010100000101000001010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datac => \ALT_INV_SW[0]~input_o\,
	dataf => \FF1|ALT_INV_Q~q\,
	combout => \FF2|Q~0_combout\);

-- Location: FF_X72_Y2_N23
\FF2|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF2|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF2|Q~q\);

-- Location: MLABCELL_X72_Y2_N12
\FF5|Q~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF5|Q~1_combout\ = ( \SW[0]~input_o\ & ( \SW[1]~input_o\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000011110000111100000000000000000000111100001111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datac => \ALT_INV_SW[1]~input_o\,
	datae => \ALT_INV_SW[0]~input_o\,
	combout => \FF5|Q~1_combout\);

-- Location: MLABCELL_X72_Y2_N3
\FF3|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF3|Q~0_combout\ = ( \FF2|Q~q\ & ( (!\SW[1]~input_o\ & \SW[0]~input_o\) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000010100000101000000000000000000000101000001010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datac => \ALT_INV_SW[0]~input_o\,
	datae => \FF2|ALT_INV_Q~q\,
	combout => \FF3|Q~0_combout\);

-- Location: FF_X72_Y2_N5
\FF3|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF3|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF3|Q~q\);

-- Location: MLABCELL_X72_Y2_N24
\FF4|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF4|Q~0_combout\ = ( \FF4|Q~q\ & ( \FF3|Q~q\ & ( (\SW[0]~input_o\ & !\SW[1]~input_o\) ) ) ) # ( !\FF4|Q~q\ & ( \FF3|Q~q\ & ( (\SW[0]~input_o\ & !\SW[1]~input_o\) ) ) ) # ( \FF4|Q~q\ & ( !\FF3|Q~q\ & ( (\SW[0]~input_o\ & !\SW[1]~input_o\) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000001100000011000000110000001100000011000000110000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[0]~input_o\,
	datac => \ALT_INV_SW[1]~input_o\,
	datae => \FF4|ALT_INV_Q~q\,
	dataf => \FF3|ALT_INV_Q~q\,
	combout => \FF4|Q~0_combout\);

-- Location: FF_X72_Y2_N26
\FF4|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF4|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF4|Q~q\);

-- Location: MLABCELL_X72_Y2_N36
\FF5|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF5|Q~0_combout\ = ( \FF0|Q~q\ & ( \FF3|Q~q\ & ( \FF5|Q~1_combout\ ) ) ) # ( !\FF0|Q~q\ & ( \FF3|Q~q\ & ( \FF5|Q~1_combout\ ) ) ) # ( \FF0|Q~q\ & ( !\FF3|Q~q\ & ( (\FF5|Q~1_combout\ & (((\FF1|Q~q\) # (\FF4|Q~q\)) # (\FF2|Q~q\))) ) ) ) # ( !\FF0|Q~q\ & ( 
-- !\FF3|Q~q\ & ( \FF5|Q~1_combout\ ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011001100110011000100110011001100110011001100110011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \FF2|ALT_INV_Q~q\,
	datab => \FF5|ALT_INV_Q~1_combout\,
	datac => \FF4|ALT_INV_Q~q\,
	datad => \FF1|ALT_INV_Q~q\,
	datae => \FF0|ALT_INV_Q~q\,
	dataf => \FF3|ALT_INV_Q~q\,
	combout => \FF5|Q~0_combout\);

-- Location: FF_X72_Y2_N38
\FF5|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF5|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF5|Q~q\);

-- Location: MLABCELL_X72_Y2_N48
\FF6|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF6|Q~0_combout\ = (\SW[1]~input_o\ & (\SW[0]~input_o\ & \FF5|Q~q\))

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000010001000000000001000100000000000100010000000000010001",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datab => \ALT_INV_SW[0]~input_o\,
	datad => \FF5|ALT_INV_Q~q\,
	combout => \FF6|Q~0_combout\);

-- Location: FF_X72_Y2_N50
\FF6|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF6|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF6|Q~q\);

-- Location: MLABCELL_X72_Y2_N51
\FF1|Q~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF1|Q~1_combout\ = (!\SW[1]~input_o\ & \SW[0]~input_o\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0010001000100010001000100010001000100010001000100010001000100010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datab => \ALT_INV_SW[0]~input_o\,
	combout => \FF1|Q~1_combout\);

-- Location: MLABCELL_X72_Y2_N9
\FF7|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF7|Q~0_combout\ = ( \SW[0]~input_o\ & ( \FF6|Q~q\ & ( \SW[1]~input_o\ ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000101010101010101",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datae => \ALT_INV_SW[0]~input_o\,
	dataf => \FF6|ALT_INV_Q~q\,
	combout => \FF7|Q~0_combout\);

-- Location: FF_X72_Y2_N11
\FF7|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF7|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF7|Q~q\);

-- Location: MLABCELL_X72_Y2_N54
\FF8|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF8|Q~0_combout\ = ( \FF8|Q~q\ & ( \FF7|Q~q\ & ( (\SW[0]~input_o\ & \SW[1]~input_o\) ) ) ) # ( !\FF8|Q~q\ & ( \FF7|Q~q\ & ( (\SW[0]~input_o\ & \SW[1]~input_o\) ) ) ) # ( \FF8|Q~q\ & ( !\FF7|Q~q\ & ( (\SW[0]~input_o\ & \SW[1]~input_o\) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000110000001100000011000000110000001100000011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \ALT_INV_SW[0]~input_o\,
	datac => \ALT_INV_SW[1]~input_o\,
	datae => \FF8|ALT_INV_Q~q\,
	dataf => \FF7|ALT_INV_Q~q\,
	combout => \FF8|Q~0_combout\);

-- Location: FF_X72_Y2_N56
\FF8|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF8|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF8|Q~q\);

-- Location: MLABCELL_X72_Y2_N42
\FF1|Q~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \FF1|Q~0_combout\ = ( \FF0|Q~q\ & ( \FF8|Q~q\ & ( \FF1|Q~1_combout\ ) ) ) # ( !\FF0|Q~q\ & ( \FF8|Q~q\ & ( \FF1|Q~1_combout\ ) ) ) # ( \FF0|Q~q\ & ( !\FF8|Q~q\ & ( (\FF1|Q~1_combout\ & (((\FF7|Q~q\) # (\FF5|Q~q\)) # (\FF6|Q~q\))) ) ) ) # ( !\FF0|Q~q\ & ( 
-- !\FF8|Q~q\ & ( \FF1|Q~1_combout\ ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011001100110011000100110011001100110011001100110011001100110011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \FF6|ALT_INV_Q~q\,
	datab => \FF1|ALT_INV_Q~1_combout\,
	datac => \FF5|ALT_INV_Q~q\,
	datad => \FF7|ALT_INV_Q~q\,
	datae => \FF0|ALT_INV_Q~q\,
	dataf => \FF8|ALT_INV_Q~q\,
	combout => \FF1|Q~0_combout\);

-- Location: FF_X72_Y2_N44
\FF1|Q\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[0]~inputCLKENA0_outclk\,
	d => \FF1|Q~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \FF1|Q~q\);

-- Location: MLABCELL_X72_Y2_N18
\z~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \z~0_combout\ = (\FF8|Q~q\) # (\FF4|Q~q\)

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011111100111111001111110011111100111111001111110011111100111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \FF4|ALT_INV_Q~q\,
	datac => \FF8|ALT_INV_Q~q\,
	combout => \z~0_combout\);

-- Location: LABCELL_X24_Y12_N0
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


